CREATE TABLE fnd_saved_search_b (
    SAVED_SEARCH_ID          NUMBER(18, 0) ,
    SAVED_SEARCH_CODE        VARCHAR2(120)     NOT NULL,
    SEARCH_TYPE              VARCHAR2(120)     NOT NULL,
    VERSION                  VARCHAR2(120)     NOT NULL,
    CONTEXT_CODE             VARCHAR2(120)     NOT NULL,
    OBJECT_TYPE              VARCHAR2(120)     NOT NULL,
    APPLIED_TYPE             VARCHAR2(120)     NOT NULL,
    APPLIED_NAME             VARCHAR2(4000)    NOT NULL,
    OWNER_TYPE               VARCHAR2(120)     NOT NULL,
    OWNER_NAME               VARCHAR2(4000)    NOT NULL,
    ENABLED_FLAG             VARCHAR2(4)       NOT NULL,
    DEFAULT_FLAG             VARCHAR2(4)       NOT NULL,
    VISIBLE_FLAG             VARCHAR2(4)       NOT NULL,
    AUTO_RUN_FLAG            VARCHAR2(4)       NOT NULL,
    SAVED_SEARCH             CLOB              NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    USER_DATA                VARCHAR2(1020),
    MODULE_ID                VARCHAR2(128) ,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    SAVED_SEARCH_ID          NUMBER(18, 0) ,
    SAVED_SEARCH_CODE        VARCHAR2(120)     NOT NULL,
    SEARCH_TYPE              VARCHAR2(120)     NOT NULL,
    CONTEXT_CODE             VARCHAR2(120)     NOT NULL,
    OBJECT_TYPE              VARCHAR2(120)     NOT NULL,
    APPLIED_TYPE             VARCHAR2(120)     NOT NULL,
    APPLIED_NAME             VARCHAR2(4000)    NOT NULL,
    OWNER_TYPE               VARCHAR2(120)     NOT NULL,
    OWNER_NAME               VARCHAR2(4000)    NOT NULL,
    ENABLED_FLAG             VARCHAR2(4)       NOT NULL,
    DEFAULT_FLAG             VARCHAR2(4)       NOT NULL,
    VISIBLE_FLAG             VARCHAR2(4)       NOT NULL,
    AUTO_RUN_FLAG            VARCHAR2(4)       NOT NULL,
    SAVED_SEARCH             CLOB              NOT NULL,
    MODULE_ID                VARCHAR2(128) ,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    VERSION                  VARCHAR2(120)     NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    USER_DATA                VARCHAR2(1020),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_fnd_saved_search_b PRIMARY KEY (SAVED_SEARCH_ID, SAVED_SEARCH_ID)
);
